﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["ds"] == null)
        {
            Session["ds"] = GetDataSource();
        }

        WebDataGrid1.DataSource = (DataTable)Session["ds"];
        WebDataGrid1.DataBind();
    }

    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        //Orders
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Order";
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        //Orders 2
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Order2";
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        //Orders 3
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Order3";
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        //Date 3
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "Date";
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        for (int i = 0; i < 2; i++)
        {
            column = new DataColumn();
            column.DataType = System.Type.GetType("System.String");
            column.ColumnName = "Item" + i;
            column.AutoIncrement = false;
            column.Caption = "Item" + i.ToString();
            table.Columns.Add(column);

        }

        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;


        for (int i = 0; i < 5; i++)
        {
            row = table.NewRow();
            row["id"] = i + 1;
            row["Order"] = 10249;

            row["Order2"] = 10250;

            row["Order3"] = 10251;

            row["Date"] = DateTime.Now;

            for (int n = 0; n < 2; n++)
            {
                row["Item" + n] = n;
            }
            table.Rows.Add(row);
        }

        return table;
    }
    protected void WebDataGrid1_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {
        //DataTable dt = (DataTable)Session["ds"];
        //DataRow drToUpdate = dt.Rows[(int)(e.RowID).Key[0]];
        //
        //foreach (var item in e.Values)
        //{
        //    switch (((System.Collections.DictionaryEntry)(item)).Key.ToString())
        //    {
        //        case "Order":
        //            break;
        //        default:
        //            break;
        //    }
        //}
    }
}